language: cn
model_unique_abbr: sequential_association_pattern_mining
version: 1.0
identification:
  docker_image_name: sequential_association_pattern_mining:1.0
  model_name: 时序关联模式挖掘
  semantic: Density Ratio Based Association Rules Mining for Multiple Sequences
  description: 发现不同地理空间对象在邻近时间域内相继发生、相互依赖的关联关系挖掘算法
  category_application: 描述型
  category_data:
    - 点数据分析
  keywords:
    - 时序关联模式挖掘
    - 多事件序列关联规则挖掘
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 事件序列数据
      description: 输入的事件序列数据，以csv的形式保存，每一行代表一个事件序列，每一列代表一个不同的时间序列。事件由不同的字母（如A、B、C等）和数字组成。
      data_type: csv
      data_semantic: event_sequence_data

    - arg_name: width
      is_single_en_dash: false
      param_type: param
      name: 滑动窗口宽度
      description: 用于计算局部密度的滑动窗口宽度。它是在后续事件的邻域中考虑的前置事件的数量。整型数值，大于0。
      data_type: int

      data_semantic: sliding_window_width
      specification:
        default: 1

    - arg_name: min_density_ratio
      is_single_en_dash: false
      param_type: param
      name: 最小密度比阈值
      description: 最小密度比阈值。只有密度比大于此阈值的规则才被认为是显著的。float类型数值，大于0。
      data_type: float
      data_semantic: min_density_ratio
      specification:
        default: 1.2

    - arg_name: outputpath
      is_single_en_dash: false
      param_type: output_data
      name: 输出结果路径
      description: 输出结果文件，文件格式为csv。该文件包含发现的顺序关联规则。
      data_type: csv
      data_semantic: output_result_path


application:
  domain: 时序关联模式挖掘
  objective: 该算法指定任一感兴趣事件作为时序关联规则约束后件，提取时间影响域内前置事件及其局部分布特征，同时将整体时间序列中各前件独立分布特征作为全局特征，分析其局部分布特征和全局分布特征的差异
  dimension:
    - 二维
  mechanism: 若某前件在感兴趣后件邻域内发生概率远大于其在整体序列中平均发生概率，则认为该前件与感兴趣后件之间存在较强的时序关联关系
operation:
  usage: "该算法需要四个参数,输入数据,滑动窗口宽度,最小密度比阈值,输出路径"
  exec_example:
    - docker run -v $(pwd):/data sequential_association_pattern_mining:1.0 --input /data/data.csv --width 1 --min_density_ratio 1.2 --outputpath /data/res.csv
  output_display:
    - "输出为文本文件，不需要可视化展示"

technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Nanwei Cheng
  organization: Central South University
  contact: 2247486718@qq.com
  references:
    - "何占军, 邓敏, 蔡建南, 等. 2018. 顾及背景知识的多事件序列关联规则挖掘方法. 武汉大学学报(信息科学版), 43(5): 766–772."

